Bug 33678 - Conflict between SSL in php3/IMAP module and mod_ssl
Summary: Conflict between SSL in php3/IMAP module and mod_ssl
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-28 20:30 UTC by Russell McOrmond
Modified: 2007-03-27 03:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-07 23:59:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Russell McOrmond 2001-03-28 20:30:35 UTC
I have found a conflict between the php-3.0.18-1.6.x when both the IMAP
module for php (which is linked with the SSL libraries) and mod_ssl (also
linked with the SSL libraries) are both included.

The error shows up in the ErrorLog as:

  
[Fri Mar 23 18:22:08 2001] [notice] child pid 9924 exit signal
Segmentation fault (11)

and the server returns no data to the client.

  A quick-and-dirty patchthat allowed SSL services to work was to remove
-lssl from the link line as follows:

--- php.spec    Fri Jan 19 11:01:28 2001
+++ php.spec-rwm        Tue Mar 27 22:31:49 2001
@@ -149,7 +166,7 @@
        -I/usr/include/imap -o imap.so ./functions/imap.c \
        /usr/lib/c-client.a \
        -L/usr/kerberos/lib -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err \
-       -lssl -lcrypto -lpam -ldl -lc
+       -lcrypto -lpam -ldl -lc
 
 # LDAP module
 perl -pi -e 's/HAVE_LDAP 0/HAVE_LDAP 1/g' config.h



Note: I have not investigated the problem sufficiently to know why this
change to the link line allows things to no longer core dump, just know
that it does.

Comment 1 Nalin Dahyabhai 2001-03-28 21:13:12 UTC
Which version of OpenSSL was the mod_ssl package built against?  If it was not
identical to the version used to build PHP (0.9.5a-2.6.x), then odds are that
the two are not binary-compatible (structure sizes are often different depending
on which algorithms are enabled).

Comment 2 Russell McOrmond 2001-03-28 21:43:47 UTC
Both apache and php were recompiled on the same computer from src.rpm's
originating from RedHat with minor patches.

For Apache I made the following changes - I can attach the SPEC file or make a
diff if that is appropriate.

%changelog
* Fri Mar 23 2001 Russell McOrmond <russell@flora.ca>
- Upgraded to Apache 1.3.19, mod_ssl 2.8.1
- removed mod_rewrite fix (Now part of Apache)
- removed glibc22 patch.

* Wed Oct 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- apply fix for references in rewrite expansions from Tony Finch



Comment 3 Phil Copeland 2002-08-12 19:17:24 UTC
Current errata (php-3.0.18-8.src.rpm)

Phil
=--=


Note You need to log in before you can comment on or make changes to this bug.